#ifndef UTILS_H
#define UTILS_H

#include<vector>

using namespace std;

class State;

double get_global_time();
float getVmRSS();
long get_global_time_int();
void Error(const char* str);

int get_cg_heuristic(State& orig_state);
int get_ff_heuristic(State& orig_state);
void read_causal_graphs(bool** matrix, unsigned* mapping, int var_count);
int bsearch_vector(vector<unsigned>& vec, unsigned value);

unsigned DJBHash(unsigned* str, unsigned len);
unsigned DJBHash(vector<unsigned>& vec);

#endif 
