#ifndef DP_H
#define DP_H

#include<limits>

using namespace std;

const unsigned MAX_FILENAME = 512;
const unsigned MAX_STR_LEN  = 512;


const unsigned MAX_OBJECT_NUM 	=	1000;
const unsigned MAX_TYPE_NUM		= 	100;
const unsigned MAX_PREDICATE_NUM= 	50;
const unsigned MAX_FT_NUM 		=	10000;
const unsigned MAX_OP_NUM 		=	50000;
const unsigned MAX_PRE_NUM		=	100;
const unsigned MAX_PLAN_LEN		= 	600;
const int 	   INF 				=	numeric_limits<int>::max()-1;	//To be different with undefined int;
const int      INVALID			= 	-1;
const unsigned UNDEFINED 		= 	numeric_limits<unsigned>::max();
const unsigned MAX_ACTION_IN_EDGE = 500;

//Condition Special value;
const unsigned NO_PRE_NEEDED = (MAX_FT_NUM*2);


const unsigned MAX_DTG_SIZE 	=	100;
const unsigned MAX_DTG_NUM		= 	1000;
const unsigned MAX_GOAL_NUM   = 	300;


const unsigned BIG_INT = 2000000;



const unsigned SS_DIRECT_ATOM 	= 0;
const unsigned SS_HEURISTIC 	= 1;
const unsigned SS_DIRECT_INC 	= 2;


const unsigned MAX_POOL_SIZE = 100000;
#endif 
