#ifndef FD_STATE_H
#define FD_STATE_H

#include <iostream>
#include <vector>
using namespace std;

namespace FAST_DOWNWARD{

class Operator;

class State {

public:
    vector<int> vars; // values for vars
	State(istream &in);
    State(const State &predecessor, const Operator &op);
    State(vector<int> assign);
    int &operator[](int index) {
    	return vars[index];
    }
    int operator[](int index) const {
    	return vars[index];
    }
    void dump() const;
    bool operator<(const State &other) const;
};

}
#endif
