#ifndef RESOURCE_ALLOCATOR_H
#define RESOURCE_ALLOCATOR_H

#include<deque>


class ResourceAllocator{
		
	unsigned* 	pool[MAX_POOL_SIZE];
	unsigned 	counter[MAX_POOL_SIZE];
	deque<unsigned> ready_units;
	unsigned pool_size;
	unsigned state_unit_size;
	ResourceAllocator();
	
public:
	
	~ResourceAllocator();
	static ResourceAllocator& getInstance(){
		static ResourceAllocator instance;
		return instance;
	};
	unsigned* allocate_state(unsigned& pos);
	void inc_state_counter(unsigned pos);
	void dec_state_counter(unsigned pos);
	
};


#endif 
