
using namespace std;

#include "dp.h"
#include "state.h"
#include "plan.h"
#include "task.h"
#include "transition_graph.h"
#include "search_helper.h"

static Task&task = Task::getInstance();

void Permutation::init_perm_status(int p_n){
	int i;
	n = p_n;
	for(i=0;i<n;i++){
		a[i]=d[i]= i;
		e[i] = -1;
	}
	q = 0;
	done = 0;
	k = n -1;
	count = 0;
}


void Permutation::make_next_permutation(){
	int p,r;

	//int n = n;
	/*
	for(i=0;i<n;i++)
		printf("%d",a[i]);
	printf("\n");
	*/
	fflush(stdout);
	count++;
	
	while(k >= 0 ){
		
		d[k] += e[k];
		p = d[k];
		if( p == k ) e[k] = -1;
		else if( p == -1 ){
			e[k] = 1;
			q++;
		}else{
			p += q;
			r = a[p];
			a[p] = a[p+1];
			a[p+1] = r;
	
			q = 0;
			k = n-1;
			return;
		}
		
		k--;
	}
	
	if( k == -1 )
		done = 1;
}


void print_factset(unsigned* gIndex, unsigned*  vIndex, unsigned size){
	
	for(unsigned i=0;i<size;i++){
		task.transGraph[ gIndex[i] ].vertex[vIndex[i]].print();
		cout<<";";
	}
	cout<<endl;
}


void print_factset(unsigned* factset, unsigned size){
	
	for(unsigned i=0;i<size;i++){
		task.gft[ factset[i] ].print_name();
		cout<<";";
	}
	cout<<endl;
}

